local aName, aTable = ...
local _G = _G

-- Show quest progress tooltips.
function aTable:AddTooltips()
	local tt = _G.GameTooltip
	for i = 1, GetNumQuestItems() do
		local qpi = _G["QuestProgressItem"..i]
		qpi:SetScript("OnEnter",
			function(self, ...)
				if (tt) then
					tt:SetOwner(self, "ANCHOR_RIGHT")
					if (self.rewardType == "item") then
						tt:SetQuestItem(self.type, self:GetID())
					elseif (self.rewardType == "currency") then
						tt:SetQuestCurrency(self.type, self:GetID())
					end
				end
			end
		)
		qpi:SetScript("OnLeave",
			function(self, ...)
				if (tt) then
					tt:Hide()
					ResetCursor()
				end
			end
		)
	end
end

QuestProgressItem1:HookScript("OnShow", aTable.AddTooltips)
